GET /api/v1/forward/batches/{batch_id}/error
Returns a pre-signed download URL for the Batch error.jsonl file. The Batch must be in a terminal state. If there are no qualifying terminal failed tasks, error.jsonl is not generated and the endpoint returns 404 error_file_not_found.
Headers
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <PAT or SAT> |
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
batch_id | string | Yes | Batch ID. |
Example request
Example response
HTTP 200 OK
Download the file
set -x is enabled.
The output_file_id and error_file_id generated by a Batch are internal result file identifiers. They are not registered as general Forward file resources and therefore cannot be retrieved through /api/v1/forward/files/{file_id} or /content.
Error codes
| HTTP | Type | Code | Trigger |
|---|---|---|---|
| 400 | invalid_request_error | batch_not_ready | Batch is not in a terminal state. |
| 404 | not_found_error | batch_not_found | Batch does not exist or belongs to another user. |
| 404 | not_found_error | error_file_not_found | Batch did not generate error.jsonl. |
| 410 | not_found_error | file_expired | The error file passed its 30-day retention and was purged. |
| 401 | authentication_error | authentication_required | PAT or SAT is invalid or expired. |